## mingw-w64-ispc-1.28.2-1.src.tar.zst

=== examples/cpu/noise/CMakeLists.txt ===
#
#  Copyright (c) 2018-2024, Intel Corporation
#
#  SPDX-License-Identifier: BSD-3-Clause

#
# ispc examples: noise
#
set (ISPC_SRC_NAME "noise")
set (TARGET_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/noise.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/noise_serial.cpp)
set (ISPC_IA_TARGETS "sse2-i32x4,sse4-i32x4,avx1-i32x16,avx2-i32x16,avx512skx-x16" CACHE STRING "ISPC IA targets")
set (ISPC_ARM_TARGETS "neon" CACHE STRING "ISPC ARM targets")
add_ispc_example(NAME "noise"
              ISPC_IA_TARGETS ${ISPC_IA_TARGETS}
              ISPC_ARM_TARGETS ${ISPC_ARM_TARGETS}
              ISPC_SRC_NAME ${ISPC_SRC_NAME}
              TARGET_SOURCES ${TARGET_SOURCES}
              USE_COMMON_SETTINGS)
